Bug 736700 - animations are not smooth with nvidia propreitary driver in gnome shell
Summary: animations are not smooth with nvidia propreitary driver in gnome shell
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-08 12:57 UTC by Pranav Ganorkar
Modified: 2013-02-13 19:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 19:50:35 UTC


Attachments (Terms of Use)
here's the video of my system using gnome shell with nvidia prop. driver. (2.78 MB, video/webm)
2011-09-08 12:57 UTC, Pranav Ganorkar
no flags Details

Description Pranav Ganorkar 2011-09-08 12:57:56 UTC
Created attachment 522113 [details]
here's the video of my system using gnome shell with nvidia prop. driver.

Description of problem:
animations are not smooth with nvidia propreitary driver in gnome shell as they are with nouveau.

Version-Release number of selected component (if applicable):
3.1.9

How reproducible:
first,install nvidia propreitary driver on your system.and then use gnome shell.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
animations are not smooth.for eg 
1)while minimizing window 
2)switching to overview when windows and system tray icons are present.

Expected results:

The Animations should be smooth.
Additional info:
It is interesting to note that when I start a game named Nikki and the Robots on my system,the gnome shell animations become smooth.However,when I exit that game,again the animations are not smooth.

additional information about my nvidia card:

1)output for lsmod |grep nvidia:

nvidia 10375368 40
i2c_core 21572 2 nvidia,i2c_nforce2

2)output for glxinfo |grep -i “\(direct render\|opengl\)”:

direct rendering: Yes
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce 7025 / nForce 630a/PCI/SSE2/3DNOW!
OpenGL version string: 2.1.2 NVIDIA 280.13
OpenGL shading language version string: 1.20 NVIDIA via Cg compiler
OpenGL extensions:

3)output for glxgears(about 1min run):
8350 frames in 5.0 seconds = 1669.978 FPS
8373 frames in 5.0 seconds = 1674.491 FPS
8560 frames in 5.0 seconds = 1711.956 FPS
8569 frames in 5.0 seconds = 1713.707 FPS
8566 frames in 5.0 seconds = 1713.158 FPS
8563 frames in 5.0 seconds = 1712.523 FPS
8557 frames in 5.0 seconds = 1711.322 FPS
8562 frames in 5.0 seconds = 1712.258 FPS
8565 frames in 5.0 seconds = 1712.976 FPS
8565 frames in 5.0 seconds = 1712.963 FPS
8557 frames in 5.0 seconds = 1711.249 FPS
8562 frames in 5.0 seconds = 1712.356 FPS
8559 frames in 5.0 seconds = 1711.676 FPS
8548 frames in 5.0 seconds = 1709.466 FPS

Comment 1 Fedora End Of Life 2013-01-16 16:19:06 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Fedora End Of Life 2013-02-13 19:50:39 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.